package org.quartz.examples;

import java.util.Hashtable;
import java.util.Vector;
import java.util.Date;

import org.apache.xmlrpc.XmlRpcClient;
/**
 * Author: Dejan Bosanac <chubrilo@yahoo.com>
 * Date: Oct 21, 2003
 * Time: 10:08:35 PM
 *
 * Example of XML-RPC plugin client usage!
 * Scheduling <code>org.quartz.examples.DumbJob</code> to execute seven times
 * on every ten seconds, starting now using XML-RPC interface
 */
public class XmlRpcClientTest {

public static void main(String[] args) {

	try {
		//  initialize client
		XmlRpcClient client = new XmlRpcClient("localhost", 8080);

		// create trigger structure
		Hashtable triggerDetails = new Hashtable();
		triggerDetails.put("name", "dumb");
		triggerDetails.put("group", "dumb");
		triggerDetails.put("className", "org.quartz.SimpleTrigger"); // mandatory parameter for Trigger
		triggerDetails.put("startTime", new Date());
		triggerDetails.put("repeatCount", new Integer(7));
		triggerDetails.put("repeatInterval", new Integer(10*1000));

		// create job structure
		Hashtable jobDetails = new Hashtable();
		jobDetails.put("name", "dumb");
		jobDetails.put("group", "dumb");
		jobDetails.put("jobClass", "org.quartz.examples.DumbJob");

		// issue a call to scheduler
		Vector params = new Vector();
		params.add(jobDetails);
		params.add(triggerDetails);
		client.execute("scheduler.scheduleJob", params);
	} catch (Exception e) {
		e.printStackTrace();
	}

}


}
