package org.quartz.examples;

import org.quartz.impl.StdSchedulerFactory;
import org.quartz.SchedulerException;
import org.quartz.Scheduler;

/**
 * Author: Dejan Bosanac <chubrilo@yahoo.com>
 * Date: Oct 17, 2003
 * Time: 1:48:11 AM
 *
 * Example of using XML-RPC plugin on the server side!
 * Look at the <i>xmlrpc.properties</i> file in the <i>examples</i> directory
 * for the configuration details
 *
 */
public class XmlRpcServerTest {

    public static void main(String[] args) {
        try {
        	// initialize factory with appropriate properties file
            StdSchedulerFactory factory = new StdSchedulerFactory("xmlrpc.properties");
            Scheduler scheduler = factory.getScheduler();
            scheduler.start();
        } catch (SchedulerException se) {
            se.printStackTrace();
        }

    }
}
